// prevent Opera CTRL+click on map to save image
if (JAK.Browser.client == "opera")
{
  EventUtil.addHandler(document.documentElement, "click", function (e)
  {
    if (e.ctrlKey)
      EventUtil.preventDefault(e);
  }, true);
}

// prevent CTRL (+ SHIFT) + click on SVG 
if (JAK.Browser.client == "opera")
{
  // create div that will cover the screen
  var overlay = JAK.mel("div");
  var length = 1e8;
  overlay.style.width = length + "px";
  overlay.style.height = length + "px";
  overlay.style.position = "absolute";
  overlay.style.left = -length / 2 + "px";
  overlay.style.top = -length / 2 + "px";
  overlay.style.background = "red";
  overlay.style.opacity = "0.0";
  
  // place svg to a new div and put cover div after it
  var svg = document.querySelectorAll("#mapadiv svg")[0];
  var elm = JAK.mel("div");
  svg.parentNode.insertBefore(elm, svg.parentNode.childNodes[1]);
  elm.appendChild(svg);
  elm.appendChild(overlay);
  
  // turn layer off on pressing ALT
  EventUtil.addHandler(document.documentElement, "keydown", function(e)
  {
    if (e.altKey)
      overlay.style.display = "none";
  }, true);
  
  var showOverlay = function()
  {
    overlay.style.display = "";
  }
  
  // on keyup enable overlay again
  EventUtil.addHandler(document.documentElement, "keyup", showOverlay, true);
  
  // on leaving and entering the map, enable overlay as well
  EventUtil.addMouseHandler(mapadiv, "mouseenter", showOverlay);
  EventUtil.addMouseHandler(mapadiv, "mouseleave", showOverlay);
}
