window.map_version = "3.81";
window.map_date = "19.6.2015";
window.testing = false;

window.basePath = window.basePath || "./../";            // pro GSAK je jiná cesta, nastaveno v html
window.seznamPath = window.basePath + "Seznam/";
//window.seznamPath = "http://api4.mapy.cz/";
window._loadDelay = 0;

var stuffToLoad =
[
  seznamPath + "js/api/jak.js",
  seznamPath + "js/api/smap.js",

  [
    seznamPath + "config.js",
    seznamPath + "css/api/api.css",
    seznamPath + "css/api/card.css"
  ],

  [
    function() { SMap.CONFIG.img = seznamPath + "img/api"; }, 
    basePath + "mapycz_coords.js", 
    basePath + "mapycz_mod.js",
    window.varsSet ? null /* GSAK replace gmap mode */ : (window.varsfs ? "vars_fs.js" /* GSAK OpenInBrowser */ : "vars.js" /* else */) 
  ], 

  basePath + "other_maps.js", 

  [
    basePath + "history.js",
    basePath + "custom.js",
    function() { loadCSS(basePath + "mapycz_mod.css", document.body); }, /* loads after Mapy.cz CSS only in IE10 and other modern browsers */
    basePath + "main.css",
    window.varsSet ? window.fixMapNamesDiacritics : null // opravíme názvy map, pokud nejsme v UTF-8
  ],

  [
    function() { window.setTimeout(function() // timeout je pro GSAK aby se tolik nezasekával při brouzdání mezi keškami
    {
      require(
      [
        basePath + "main.js",
        //basePath + "caches.css",        
        //basePath + "caches.js"
      ]); 
    }, window._loadDelay) } 

  ]
];

function loadInit(e)
{
  require(stuffToLoad);
}

// IE9+, modern browsers
if (document.addEventListener && !(window.JAK && JAK.Browser && JAK.Browser.client == "ie" && JAK.Browser.version <= 8))
  EventUtil.addHandler(document, "DOMContentLoaded", loadInit);

// IE7-8 (more info: http://www.zachleat.com/web/domcontentloaded-inconsistencies/)
else if (document.attachEvent)
{
  // fixes JAK error (http://jak.seznam.cz/doc/symbols/src/tmp_szn-simpleweb-jak_www_simpleweb_jak_tmp_util_vml.js.html)
  document.namespaces.add("vml", "urn:schemas-microsoft-com:vml", "#default#VML");

  function tryScroll()
  {
    try
    {
      document.documentElement.doScroll("left");
      loadInit();
    }
    catch(e)
    {
      setTimeout(tryScroll, 50)
    }
  }
  
  tryScroll();
}

// nemělo by nastat
else
  EventUtil.addHandler(window, "load", loadInit);

// log errors
EventUtil.addHandler(window, "error", function(e)
{
  log("<span style='color: red;'>Error: " + e.message + ", Line/Column: " + e.lineno + "/" + e.colno + "<br>Filename: " + e.filename + "</span><br>");
});
  
// note for IE7/8:
// when we load files using <script> it may load quicker,
// but scrolling GSAK window may not load next cache;
// "load" event fires only after all images have been loaded... no other way :(

//<script type='text/javascript' src='../Macros/HTML_Keskomapa/Seznam/js/api/jak.js'></script>
//<script type='text/javascript' src='../Macros/HTML_Keskomapa/Seznam/js/api/smap.js'></script>