// kontrola IE7
// -- zdroj: http://tanalin.com/en/articles/ie-version-js/
if (document.all && !document.querySelector)
{
  alert("Pouzivate starsi verzi IE, je potreba alespon IE8!\n\nPokud mate IE7, tak pouzijte verzi Keskomapy 2.23 (ktera ji jako posledni podporuje)."
    + "\n\n_______________________________________\n\nYou are using an old version of IE! The lowest supported version is IE 8.");
}

// Array.filter pro IE8
// zdroj: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/filter

if (!Array.prototype.filter) {
  Array.prototype.filter = function(fun/*, thisArg*/) {
    'use strict';

    if (this === void 0 || this === null) {
      throw new TypeError();
    }

    var t = Object(this);
    var len = t.length >>> 0;
    if (typeof fun !== 'function') {
      throw new TypeError();
    }

    var res = [];
    var thisArg = arguments.length >= 2 ? arguments[1] : void 0;
    for (var i = 0; i < len; i++) {
      if (i in t) {
        var val = t[i];

        // NOTE: Technically this should Object.defineProperty at
        //       the next index, as push can be affected by
        //       properties on Object.prototype and Array.prototype.
        //       But that method's new, and collisions should be
        //       rare, so use the more-compatible alternative.
        if (fun.call(thisArg, val, i, t)) {
          res.push(val);
        }
      }
    }

    return res;
  };
}

// Array.forEach pro IE8
// -- kód je z knihovny JAK, verze z Mozilly rozhodí Mapy API :(
// odkaz na Mozilla verzi: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/forEach
if (!Array.prototype.forEach) { 
	Array.prototype.forEach = function(cb, _this) {
	    var len = this.length;
	    for (var i=0;i<len;i++) { 
			if (i in this) { cb.call(_this, this[i], i, this); }
		}
	}
}
if (!Array.forEach) { 
	Array.forEach = function(obj, cb, _this) { Array.prototype.forEach.call(obj, cb, _this); }
}

// querySelectorAll pro IE7
if (!document.querySelectorAll) 
{    
  d=document, s=d.createStyleSheet();
  d.querySelectorAll = function(r, c, i, j, a)
  {
    a=d.all, c=[], r = r.replace(/\[for\b/gi, '[htmlFor').split(',');
    
    for (i=r.length; i--;)
    {
      s.addRule(r[i], 'k:v');
      for (j=a.length; j--;) a[j].currentStyle.k && c.push(a[j]);
      s.removeRule(0);
    }
    
    return c;
  }
}

if (!document.querySelector) 
{    
  document.querySelector = function (selector)
  {
    return document.querySelectorAll(selector)[0];  
  }  
}