function poiInit(mapset, map)
{
  var markerLayer = new SMap.Layer.Marker();
  map.addLayer(markerLayer);
  
  var provider = map.createDefaultDataProvider();
  provider.setOwner(map);
  provider.addLayer(markerLayer);
  provider.setMapSet(mapset);
  
  window["mapset_" + mapset + "_markerLayer"] = markerLayer;
  window["mapset_" + mapset + "_provider"] = provider;
}

// function poiExit(mapset, map)
// {
//   poiOff(mapset);
// 
//   map.removeLayer(window["mapset_" + mapset + "_markerLayer"]);
//   window["mapset_" + mapset + "_markerLayer"] = null;
//   window["mapset_" + mapset + "_provider"] = null;
// }

function poiOn(mapset)
{
  window["mapset_" + mapset + "_markerLayer"].enable();
  window["mapset_" + mapset + "_provider"].enable();
}

function poiOff(mapset)
{
  window["mapset_" + mapset + "_markerLayer"].disable();
  window["mapset_" + mapset + "_provider"].disable();
}